Bug 18537 - Update Ukrainian installer sample files for 17.05
Summary: Update Ukrainian installer sample files for 17.05
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low minor with 1 vote (vote)
Assignee: Serhij Dubyk
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-05-04 13:17 UTC by Serhij Dubyk
Modified: 2017-10-01 22:23 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Medium patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Update Ukrainian installer sample files for 17.05 (972.23 KB, patch)
2017-05-04 13:17 UTC, Serhij Dubyk
Details | Diff | Splinter Review
Update Ukrainian installer sample files for 17.05 (963.93 KB, patch)
2017-05-28 09:40 UTC, Alex Buckley
Details | Diff | Splinter Review
Update Ukrainian installer sample files for 17.05 (1.15 MB, patch)
2017-07-21 12:37 UTC, Serhij Dubyk
Details | Diff | Splinter Review
new patch (1.14 MB, patch)
2017-08-23 14:31 UTC, Serhij Dubyk
Details | Diff | Splinter Review
Bug 18537 - Update Ukrainian installer sample files for 17.05 (1.14 MB, patch)
2017-08-27 13:02 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 18537 - Update Ukrainian installer sample files for 17.05 (1.15 MB, patch)
2017-08-30 18:03 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Serhij Dubyk 2017-05-04 13:17:10 UTC
Created attachment 63100 [details] [review]
Update Ukrainian installer sample files for 17.05

Update and translate sample SQL file of the Ukrainian installer.

To test:
- Start with an empty database
- Install uk-UA
- Run the web installer in uk-UA/Ukrainian
- Verify all files load without any problems.
Comment 1 Katrin Fischer 2017-05-12 06:00:33 UTC
Don't forget to switch to "needs sign-off"! :)
Comment 2 Serhij Dubyk 2017-05-12 08:18:41 UTC
(In reply to Katrin Fischer from comment #1)
> Don't forget to switch to "needs sign-off"! :)
Thanks, Katrin!
Comment 4 Alex Buckley 2017-05-28 09:40:23 UTC
Created attachment 63770 [details] [review]
Update Ukrainian installer sample files for 17.05

Update and translate sample SQL file of the Ukrainian installer.

To test:
- Start with an empty database
- Install uk-UA
- Run the web installer in uk-UA/Ukrainian
- Verify all files load without any problems.

Signed-off-by: Serhij Dubyk {Сергій Дубик} <serhijdubyk@gmail.com>

https://bugs.koha-community.org/show_bug.cgi?id=18537

Followed test plan and the patch works with all files loading without
problems
Signed-off-by: Alex Buckley <alexbuckley@catalyst.net.nz>
Comment 5 Serhij Dubyk 2017-05-28 13:09:36 UTC
Revised all changes. Thanks for corrections!
Comment 6 Jonathan Druart 2017-06-09 15:33:17 UTC
There is something wrong happening when I apply the patch:

error: patch failed: installer/data/mysql/uk-UA/authorised_values/authorised_values_[IND_852].sql:1
error: installer/data/mysql/uk-UA/authorised_values/authorised_values_[IND_852].sql: patch does not apply
error: Did you hand edit your patch?
It does not apply to blobs recorded in its index.
Comment 7 M. Tompsett 2017-06-28 17:21:42 UTC
Comment on attachment 63100 [details] [review]
Update Ukrainian installer sample files for 17.05

Attempting resurrection and corrections properly, thought the old one may apply cleanly and work from there.
Comment 8 M. Tompsett 2017-06-28 17:27:20 UTC
Comment on attachment 63100 [details] [review]
Update Ukrainian installer sample files for 17.05

Both apply for me.
Comment 9 M. Tompsett 2017-06-28 17:32:40 UTC
(In reply to M. Tompsett from comment #8)
> Comment on attachment 63100 [details] [review] [review]
> Update Ukrainian installer sample files for 17.05
> 
> Both apply for me.

AH! onboarding reorganized everything.
Comment 10 Serhij Dubyk 2017-07-21 12:37:30 UTC
Created attachment 65179 [details] [review]
Update Ukrainian installer sample files for 17.05

Added changes from Alex Buckley and prepared new patch for the master.

Update and translate sample SQL file of the Ukrainian installer.

To test:
- Start with an empty database
- Install uk-UA
- Run the web installer in uk-UA/Ukrainian
- Verify all files load without any problems.
Comment 11 Jonathan Druart 2017-07-24 16:01:32 UTC
Hi Serhij,
The patch still does not apply:

Using index info to reconstruct a base tree...
.git/rebase-apply/patch:2662: trailing whitespace.
 ('rubbkk',  'Таблиці ББК для краєзнавчих каталогів бібліотек',                  1, 'generic'),
.git/rebase-apply/patch:4067: trailing whitespace.

error: patch failed: installer/data/mysql/uk-UA/authorised_values/authorised_values_[IND_852].sql:1
error: installer/data/mysql/uk-UA/authorised_values/authorised_values_[IND_852].sql: patch does not apply
.git/rebase-apply/patch:936: new blank line at EOF.
+
.git/rebase-apply/patch:2401: new blank line at EOF.
+
.git/rebase-apply/patch:2481: new blank line at EOF.
+
error: Did you hand edit your patch?
It does not apply to blobs recorded in its index.
Patch failed at 0001 Update and translate sample SQL file of the Ukrainian installer.

Could you double check please?
Comment 12 Serhij Dubyk 2017-08-23 14:31:32 UTC
Created attachment 66382 [details] [review]
new patch

I tried to remove the trailing whitespace everywhere.

Perhaps there is still some problem in the patch preparation itself. I did the following:

git clone git://git.koha-community.org/koha.git kohaclone
git checkout -b my_master origin/master
git fetch
git rebase origin/master
replace folder kohaclone/installer/data/mysql/uk-UA with new content from https://www.dropbox.com/sh/nybt54x8yhh7frq/AACfsG32sJnBgNh1CdivXDjYa?dl=0%27 (folder SQL_Koha_17_05.01/uk-UA or uk-UA_SQL_Koha_17_05.01.zip)
git commit -a
git log
git format-patch origin/master
attach 0001-Bug-18537-Update-Ukr~ler-sample-files-fo.patch to Bugzilla

Do I need to execute a command "git rm file" for all deleted or renamed files?

I hope that there will be no problems with this version of the patch.

To test:
- Start with an empty database
- Install uk-UA
- Run the web installer in uk-UA/Ukrainian
- Verify all files load without any problems.
Comment 13 Katrin Fischer 2017-08-27 13:02:43 UTC
Created attachment 66512 [details] [review]
Bug 18537 - Update Ukrainian installer sample files for 17.05

Update and translate sample SQL files of the Ukrainian installer.

To test:
- Start with an empty database
- Install uk-UA
- Run the web installer in uk-UA/Ukrainian
- Verify all files load without any problems.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 14 Katrin Fischer 2017-08-27 13:04:22 UTC
I have tested the web installer with MARC21 and UNIMARC, installing all sample files each time. There were no SQL errors.

I would suggest to bring the Ukrainian installer more in line with the en installer long term, as this might help with new features like the onboarding tool and with updating in the future.
Comment 15 Serhij Dubyk 2017-08-28 12:48:02 UTC
Thank you for testing!

This patch got a lot of changes in Ukrainian sql-files in a few years.
I tried to make all the latest changes from the English set of sql-files (as well as other languages).
The structure of the directories and filenames and sql-sets is as close as possible to the English collection.
I tried to spread all the marc-dependent changes to the relevant folders (this applies to system variables, relatorterms, sample marc data, z39-50 servers, matching_rules).
Keep in line match was not very successful, since I tried to make sql-files easy to read.
This is especially true for marc structures. Separately was written perl script for such formatting.

Future changes in Ukrainian sql-files I hope to do with small correction patches.
Comment 16 Katrin Fischer 2017-08-28 15:19:12 UTC
Hi Serhij, it's alright, I was thinking about the separate files for different authorised values for example. As a rule we ask contributors to also update the different installers, when new categories or sample notices are added. If the files are named the same and the structure matches this is a lot easier to do.
Comment 17 Jonathan Druart 2017-08-28 19:40:39 UTC
I still get the same error from git.
Comment 18 Katrin Fischer 2017-08-30 15:41:06 UTC
I got not problems - it applies cleanly. I have tested on a standard kohadevbox and just now tried it against master in my super old git dev installation.
Comment 19 Jonathan Druart 2017-08-30 18:03:38 UTC
Created attachment 66634 [details] [review]
Bug 18537 - Update Ukrainian installer sample files for 17.05

Update and translate sample SQL files of the Ukrainian installer.

To test:
- Start with an empty database
- Install uk-UA
- Run the web installer in uk-UA/Ukrainian
- Verify all files load without any problems.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 20 Jonathan Druart 2017-08-30 19:57:45 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 21 Fridolin SOMERS 2017-09-29 13:33:20 UTC
Pushed to 17.05.x, will be in 17.05.05.
Comment 22 Katrin Fischer 2017-10-01 22:23:12 UTC
Obviously not for 16.11.x :)